<?php
ob_start();

if($config->enableSmfIntegration) {
  // Verify the User by using the SMF tables
  require_once(ROOTDIR."/../SSI.php");
  require_once(ROOTDIR."/config/SMFConfig.php"); // SMF permissions
} else {
  // Verify User by using the gban_admins table
  require_once(ROOTDIR."/include/verifyUser.php");
  require_once(ROOTDIR."/config/permissions.php"); // Regular permissions
}

?>

<html>
  <head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <title><?=$config->siteName?> Ban Management</title>
  <link rel="icon" href="images/favico.ico" type="image/vnd.microsoft.icon">
  <link rel="stylesheet" type="text/css" href="css/banned.css" />
  <link rel="stylesheet" type="text/css" href="css/print.css" media="print" />
  <script src="javascript/functions.js" language="javascript" type="text/javascript"></script>
  </head>
  <!-- -----------------------------------------------------------------------
      Special Thanks to: ub|Delta One - http://www.urbanbushido.net/
                         tnbporsche911 - http://www.tnbsourceclan.net/
                         
      Default GlobalBan logo designed with template from http://www.freepsd.com/logo
   ----------------------------------------------------------------------- -->
<body id="body">
<script type="text/javascript" src="javascript/wz_tooltip.js"></script>
<div id="container">

<div id="logo"><img alt="<?=$config->siteName?>" src="images/<?=$config->siteLogo?>"/></div>

<?php include("include/navigation.php")?>
